<!DOCTYPE html>
<html lang="en">

<head>
    <title>Портфолио - Регистрация</title>
    <div th:replace="head"></div>
</head>

<body>

<div th:replace="topbar"></div>
<div th:if="${error != null}" th:text="${error}" class="alert alert-danger" role="alert">

</div>

<main class="login-form">
    <div class="cotainer">
        <div class="row justify-content-center">
            <div class="col-md-8">
                <div class="card">
                    <div class="card-header">Регистрация</div>
                    <div class="card-body">
                        <form id="form" method="POST">

                            <div class="form-group row">
                                <label for="login" class="col-md-4 col-form-label text-md-right">Логин</label>
                                <div class="col-md-6">
                                    <input type="text" id="login" class="form-control" name="login"
                                           required autofocus>
                                </div>
                            </div>

                            <div class="form-group row">
                                <label for="password" class="col-md-4 col-form-label text-md-right">Пароль</label>
                                <div class="col-md-6">
                                    <input type="password" id="password" class="form-control" name="password" required>
                                </div>
                            </div>


                            <div class="checkbox-form form-check">
                                <input type="checkbox" name="random_domain" class="form-check-input domain-checkbox"
                                       id="random-domain-box" value="1" checked>
                                <label class="form-check-label" for="random-domain-box">Мне подойдёт любой свободный
                                    домен</label>
                            </div>

                            <div class="domain_form form-group row">
                                <label for="password" class="col-md-4 col-form-label text-md-right">Домен</label>
                                <div class="col-md-6">
                                    <input type="text" id="domain" class="form-control" name="domain" required>
                                </div>
                            </div>

                            <p class="text-secondary">Нажимая на кнопку "Зарегистрироваться" вы подтверждаете своё
                                согласие с тем, что ваши персональные данные могут обрабатываться компанией CONtrol
                                автоматически или вручную, переданы нашим рекламным или иным партнерам; Ваше тело
                                в момент смерти переходит во владение компании CONtrol; Первенец мужского пола поступает
                                в бессрочное владение текущего президента компании CONtrol.</p>

                            <div class="col-md-6 offset-md-4">
                                <button type="button" class="btn btn-submit btn-primary">
                                    Зарегистрироваться
                                </button>
                            </div>


                            <script>
                                $(".domain_form").hide()
                                $(".btn-submit").click(function () {
                                    $("#form").submit();
                                });
                                $(".domain-checkbox").on("change", function () {
                                    $(".domain_form").toggle()
                                });
                            </script>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

</main>

<div th:replace="footer"></div>
</body>

</html>